org.apache.hadoop.conf

## Class Configured

- java.lang.Object
- - org.apache.hadoop.conf.Configured

- All Implemented Interfaces:
    Configurable
  Direct Known Subclasses:
    AvroSerialization, CLI, DistCp, FileSystem, InputSampler, LogsCLI, ResourceCalculatorProcessTree, SchedConfCLI, Submitter, Trash, TrashPolicy, WasbFsck, WritableSerialization

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class Configured
      extends Object
      implements Configurable

  Base class for things that may be configured with a `Configuration`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configured()` Construct a Configured.
    `Configured(Configuration conf)` Construct a Configured.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()` Return the configuration used by this object.
    `void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configured

          public Configured()

      Construct a Configured.

    - #### Configured

          public Configured(Configuration conf)

      Construct a Configured.

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Description copied from interface: `Configurable`
      Set the configuration to be used by this object.
      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Description copied from interface: `Configurable`
      Return the configuration used by this object.
      Specified by:
        `getConf` in interface `Configurable`

Copyright © 2022 Apache Software Foundation. All rights reserved.